package controllers

import (
	"xugu_license/internal/global"
	"xugu_license/internal/models"
)

func checkDistributeToUser(oaLicInfo *models.OALicenseInfo, UserUniqueIDs []string, UserNames []string) (licToUser []string, err error) {

	for i, v := range UserUniqueIDs {

		if !oaLicInfo.LicInfo.UniqueID.Valid {
			global.Logger.Errorln("获取到的申请单单行UniqueID为空，请联系管理员 ")

			return
		}

		//查询该license是否已经分发给了该用户
		if isTurn, err := models.CheckLicenseToUser(oaLicInfo.LicInfo.UniqueID.String, v); err != nil {
			global.Logger.Errorln("该license查询是否分发给用户失败 ", v, err.Error())

			return nil, err
		} else if isTurn {
			global.Logger.Info("该license已经分发给了该用户 ", v, UserNames[i])
			licToUser = append(licToUser, UserNames[i])
		}

	}
	return licToUser, nil
}
